overlayfs no longer supports nested overlayfs mounts, but there is a fix upstream

Bug #1647007 reported by Nerdopolis on 2016-12-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Yakkety
Undecided
Tim Gardner
Zesty
Medium
Unassigned

Bug Description

Hi

When you mount an overlayfs in an overlayfs, you get really issues about files not being found on the lower overlayfs
However a fix for this appears to have been merged into the kernel in master
https://github.com/torvalds/linux/commit/c4fcfc1619ea43a8a89ad2f83ff23905eee088bd

In https://github.com/torvalds/linux/commit/c4fcfc1619ea43a8a89ad2f83ff23905eee088bd there is a simple script to replicate this issue, where currently, it returns "No such device or address"

Is there any chance that this fix can be backported into Ubuntu's kernel?

but there also says something about 4.8 in the commit log, does that mean that it is going to be backported to 4.8?

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: linux-image-4.8.0-27-generic (not installed)
ProcVersionSignature: Ubuntu 4.8.0-27.29-generic 4.8.1
Uname: Linux 4.8.0-27-generic x86_64
ApportVersion: 2.20.3-0ubuntu8
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: nerdopolis 1955 F...m pulseaudio
 /dev/snd/controlC0: nerdopolis 1955 F.... pulseaudio
CurrentDesktop: KDE
Date: Fri Dec 2 22:06:32 2016
HibernationDevice: RESUME=UUID=/dev/mapper/kubuntu--vg-swap_1
InstallationDate: Installed on 2010-10-14 (2241 days ago)
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release Candidate i386 (20100928.3)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.8.0-27-generic root=/dev/mapper/kubuntu--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-27-generic N/A
 linux-backports-modules-4.8.0-27-generic N/A
 linux-firmware 1.161
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to yakkety on 2016-10-15 (48 days ago)
dmi.bios.date: 01/22/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P3.00
dmi.board.name: Z170 Pro4S
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP3.00:bd01/22/2016:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnZ170Pro4S:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

CVE References

Nerdopolis (bluescreen-avenger) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This commit was cc'd to upstream stable. That means it will make it's way into Ubuntu through the normal stable update process.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Yakkety):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Zesty):
status: Triaged → Fix Released
Luis Henriques (henrix) on 2016-12-08
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Luis Henriques (henrix) wrote :

Running the testcase described in commit c4fcfc1619ea ("ovl: fix d_real() for stacked fs") with current yakkety kernel we get:

  /tmp/tmp.9RV9VA0GY0 /home/ubuntu
  rocks/tmp/tmp.iGzR480rIV /tmp/tmp.9RV9VA0GY0 /home/ubuntu
  -rw-r--r-- 1 root root 5 jan 3 11:44 upper/ksplice
  cat: upper/ksplice: No such device or address

With kernel 4.8.0-34.36:

/tmp/tmp.KguOlPUrPE /home/ubuntu
rocks/tmp/tmp.OoGxmInVGL /tmp/tmp.KguOlPUrPE /home/ubuntu
-rw-r--r-- 1 root root 5 jan 3 11:52 upper/ksplice
rocks

Tagging as verified for yakkety.

tags: added: verification-done-yakkety
removed: verification-needed-yakkety
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package linux - 4.8.0-34.36

---------------
linux (4.8.0-34.36) yakkety; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1651800

  * Miscellaneous Ubuntu changes
    - SAUCE: Do not build the xr-usb-serial driver for s390

linux (4.8.0-33.35) yakkety; urgency=low

  [ Thadeu Lima de Souza Cascardo ]

  * Release Tracking Bug
    - LP: #1651721

  [ Luis Henriques ]

  * crypto : tolerate new crypto hardware for z Systems (LP: #1644557)
    - s390/zcrypt: Introduce CEX6 toleration

  * Several new Asus laptops are missing touchpad support (LP: #1650895)
    - HID: asus: Add i2c touchpad support

  * Acer, Inc ID 5986:055a is useless after 14.04.2 installed. (LP: #1433906)
    - uvcvideo: uvc_scan_fallback() for webcams with broken chain

  * cdc_ether fills kernel log (LP: #1626371)
    - cdc_ether: Fix handling connection notification

  * Kernel Fixes to get TCMU File Backed Optical to work (LP: #1646204)
    - SAUCE: target/user: Fix use-after-free of tcmu_cmds if they are expired

  * CVE-2016-9756
    - KVM: x86: drop error recovery in em_jmp_far and em_ret_far

  * On boot excessive number of kworker threads are running (LP: #1649905)
    - slub: move synchronize_sched out of slab_mutex on shrink

  * Ethernet not work after upgrade from kernel 3.19 to 4.4 [10ec:8168]
    (LP: #1648279)
    - ACPI / blacklist: Make Dell Latitude 3350 ethernet work

  * Ubuntu 16.10 netboot install fails with "Oops: Exception in kernel mode,
    sig: 5 [#1] " (lpfc) (LP: #1648873)
    - scsi: lpfc: fix oops/BUG in lpfc_sli_ringtxcmpl_put()

  * CVE-2016-9793
    - net: avoid signed overflows for SO_{SND|RCV}BUFFORCE

  * [Hyper-V] Kernel panic not functional on 32bit Ubuntu 14.10, 15.04, and
    15.10 (LP: #1400319)
    - Drivers: hv: avoid vfree() on crash

  * d-i is missing usb support for platforms that use the xhci-platform driver
    (LP: #1625222)
    - d-i initrd needs additional usb modules to support the merlin platform

  * overlayfs no longer supports nested overlayfs mounts, but there is a fix
    upstream (LP: #1647007)
    - ovl: fix d_real() for stacked fs

  * Yakkety: arm64: CONFIG_ARM64_ERRATUM_845719 isn't enabled (LP: #1647793)
    - [Config] CONFIG_ARM64_ERRATUM_845719=y

  * Ubuntu16.10 - EEH on BELL3 adapter fails to recover (serial/tty)
    (LP: #1646857)
    - serial: 8250_pci: Detach low-level driver during PCI error recovery

  * Driver for Exar USB UART (LP: #1645591)
    - SAUCE: xr-usb-serial: Driver for Exar USB serial ports
    - SAUCE: xr-usb-serial: interface for switching modes
    - SAUCE: cdc-acm: Exclude Exar USB serial ports

  * [Bug] (Purley) x86/hpet: Reduce HPET counter read contention (LP: #1645928)
    - x86/hpet: Reduce HPET counter read contention

  * Need Alps upstream their new touchpad driver (LP: #1571530)
    - Input: ALPS - add touchstick support for SS5 hardware
    - Input: ALPS - handle 0-pressure 1F events
    - Input: ALPS - allow touchsticks to report pressure
    - Input: ALPS - set DualPoint flag for 74 03 28 devices

  * CONFIG_NR_CPUS=256 is too low (LP: #1579205)
    - [Config] Increase the NR_CPUS to 512 for amd64 to support systems with a...

Read more...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers